Page MenuHomePhabricator

Improve project member list behaviors related to disabled users
ClosedPublic

Authored by epriestley on Oct 25 2019, 1:35 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Nov 20, 9:15 PM
Unknown Object (File)
Mon, Nov 14, 4:34 PM
Unknown Object (File)
Mon, Nov 14, 4:34 PM
Unknown Object (File)
Mon, Nov 14, 4:33 PM
Unknown Object (File)
Thu, Nov 10, 12:28 PM
Unknown Object (File)
Sep 18 2022, 2:59 AM
Unknown Object (File)
Jul 31 2022, 12:46 AM
Unknown Object (File)
Jul 30 2022, 3:56 AM
Subscribers
None

Details

Summary

Fixes T13431.

Increase the "panel" version of project member lists to 10 users, hide disabled users, swap the buttons to "tail buttons".

Sort disabled users to the bottom of "full list" versions of member lists.

For UI consistency, render the remove "X" as disabled but visible if users don't have permission to remove members.

Test Plan
  • Viewed a project with disabled members.
    • Saw only enabled members on the main project page.
    • Saw disabled members sorted to the bottom on the members page.
  • Clicked "View All" to jump from the panel to the members page.
  • As a user who could not edit a project, viewed the members page and saw a disabled "X" with a policy error when clicked.
    • Removed a member as before, as a normal user with permission to remove members.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Oct 25 2019, 1:41 AM
This revision was automatically updated to reflect the committed changes.